## utf8.h 0~git20190120.2a7c5bf

=== test/CMakeLists.txt ===
# This is free and unencumbered software released into the public domain.
#
# Anyone is free to copy, modify, publish, use, compile, sell, or
# distribute this software, either in source code form or as a compiled
# binary, for any purpose, commercial or non-commercial, and by any
# means.
#
# In jurisdictions that recognize copyright laws, the author or authors
# of this software dedicate any and all copyright interest in the
# software to the public domain. We make this dedication for the benefit
# of the public at large and to the detriment of our heirs and
# successors. We intend this dedication to be an overt act of
# relinquishment in perpetuity of all present and future rights to this
# software under copyright law.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#
# For more information, please refer to <http://unlicense.org/>

project(utf8)
cmake_minimum_required(VERSION 2.8.7)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

add_executable(utf8_test
  main.c
  test.c
  test.cpp
)

if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
  set_source_files_properties(test.c test.cpp PROPERTIES
    COMPILE_FLAGS "-Wall -Wextra -Werror"
  )
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
  set_source_files_properties(test.c test.cpp PROPERTIES
    COMPILE_FLAGS "-Wall -Wextra -Weverything -Werror"
  )
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC")
  set_source_files_properties(test.c test.cpp PROPERTIES
    COMPILE_FLAGS "/Wall /WX /wd4514"
  )
else()
  message(WARNING "Unknown compiler '${CMAKE_C_COMPILER_ID}'!")
endif()

=== debian/changelog ===
utf8.h (0~git20190120.2a7c5bf-1) unstable; urgency=medium

  * Initial release (Closes: #930078)

 -- Steffen Moeller <moeller@debian.org>  Thu, 06 Jun 2019 17:17:30 +0200

=== debian/control ===
Source: utf8.h
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/sheredom/utf8.h
#Vcs-Browser: https://salsa.debian.org/debian/utf8.h
#Vcs-Git: https://salsa.debian.org/debian/utf8.h.git

Package: libutf8.h-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: header-files only UTF8 library
 The library provides a series of functions for string
 handlig in analogy to what the C library provides.
 These then have a utf8 prefix and knows how to handle
 single letters with multi-character representations.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf Makefile CMakeFiles CMakeCache.txt
	find . -name "*.bin" -delete
	find . -name "a.out" -delete
	find . -name "*.cmake" -delete

## utf8.h 0.0~git20220705.4e4d828

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -24,15 +24,59 @@
 # For more information, please refer to <http://unlicense.org/>
 
 project(utf8)
-cmake_minimum_required(VERSION 2.8.7)
+cmake_minimum_required(VERSION 2.8.12)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
 
 add_executable(utf8_test
   main.c
-  test.c
-  test.cpp
 )
+
+add_executable(utf8_no_malloc_test
+  no_malloc.c
+)
+
+add_executable(utf8_test_c90 test.c)
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
+  target_compile_options(utf8_test_c90 PUBLIC "-std=c90")
+elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
+  if("${CMAKE_CXX_COMPILER_FRONTEND_VARIANT}" STREQUAL "MSVC")
+  else()
+    target_compile_options(utf8_test_c90 PUBLIC "-std=c90")
+  endif()
+endif()
+
+add_executable(utf8_test_c99 test.c)
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
+  target_compile_options(utf8_test_c99 PUBLIC "-std=c99")
+elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
+  if("${CMAKE_CXX_COMPILER_FRONTEND_VARIANT}" STREQUAL "MSVC")
+  else()
+    target_compile_options(utf8_test_c99 PUBLIC "-std=c99")
+  endif()
+endif()
+
+add_executable(utf8_test_c11 test.c)
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
+  target_compile_options(utf8_test_c11 PUBLIC "-std=c11")
+elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
+  if("${CMAKE_CXX_COMPILER_FRONTEND_VARIANT}" STREQUAL "MSVC")
+  else()
+    target_compile_options(utf8_test_c11 PUBLIC "-std=c11")
+  endif()
+endif()
+
+add_executable(utf8_test_cpp11 test.cpp)
+set_target_properties(utf8_test_cpp11 PROPERTIES CXX_STANDARD 11)
+
+add_executable(utf8_test_cpp14 test.cpp)
+set_target_properties(utf8_test_cpp14 PROPERTIES CXX_STANDARD 14)
+
+add_executable(utf8_test_cpp17 test.cpp)
+set_target_properties(utf8_test_cpp17 PROPERTIES CXX_STANDARD 17)
+
+add_executable(utf8_test_cpp20 test.cpp)
+set_target_properties(utf8_test_cpp20 PROPERTIES CXX_STANDARD 20)
 
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
   set_source_files_properties(test.c test.cpp PROPERTIES
@@ -40,12 +84,17 @@
   )
 elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
   set_source_files_properties(test.c test.cpp PROPERTIES
-    COMPILE_FLAGS "-Wall -Wextra -Weverything -Werror"
+    COMPILE_FLAGS "-Wall -Wextra -Weverything -Werror -Wno-c++98-compat"
   )
 elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC")
   set_source_files_properties(test.c test.cpp PROPERTIES
     COMPILE_FLAGS "/Wall /WX /wd4514"
   )
+  if(${MSVC_VERSION} VERSION_GREATER "15.7")
+    set_source_files_properties(test.c test.cpp PROPERTIES
+        COMPILE_FLAGS "/Zc:__cplusplus"
+        )
+  endif()
 else()
   message(WARNING "Unknown compiler '${CMAKE_C_COMPILER_ID}'!")
 endif()

=== debian/changelog ===
utf8.h (0.0~git20220705.4e4d828-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jul 2022 15:45:50 -0400

utf8.h (0~git20220220.ce48f0e-1) unstable; urgency=medium

  * Adopt package with original maintainer's acknowledgement.
  * debian/control:
    + Mark binary package as Multi-Arch: foreign.
    + Add Vcs-* fields on Debian Salsa GitLab.
    + Apply "wrap-and-sort -abst".
  * debian/rules: Drop useless clean.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Apr 2022 13:16:40 -0400

utf8.h (0~git20220220.ce48f0e-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot. (Closes: #999854)
  * debian/watch: Correctly write upstream monitoring script
    based on version scheme.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Bump debhelper compat to v13.
  * debian/utf8.h-dev.dirs: Dropped, completely useless.
  * debian/compat: Dropped, useless.
  * debian/libutf8-dev.docs: Rename to libutf8.h-dev.docs to fix
    README.md installation.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 10:53:57 -0400

utf8.h (0~git20190120.2a7c5bf-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload. (Closes: #978078) 

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Dec 2020 13:45:14 -0500

=== debian/control ===
Source: utf8.h
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/sheredom/utf8.h
Vcs-Git: https://salsa.debian.org/debian/utf8.h.git
Vcs-Browser: https://salsa.debian.org/debian/utf8.h

Package: libutf8.h-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: header-files only UTF8 library
 The library provides a series of functions for string
 handlig in analogy to what the C library provides.
 These then have a utf8 prefix and knows how to handle
 single letters with multi-character representations.

=== debian/watch ===
version=4
 opts="mode=git, pgpmode=none, pretty=0~git%cd.%h" \
 https://github.com/sheredom/utf8.h \
 HEAD debian uupdate

## utf8.h 0.0~git20230112.a35aefd

=== debian/changelog ===
utf8.h (0.0~git20230112.a35aefd-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/watch: Updated.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:35:18 -0400

## utf8.h 0.0~git20231220.535001e

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -26,17 +26,26 @@
 project(utf8)
 cmake_minimum_required(VERSION 2.8.12)
 
+set(UTF8_USE_SANITIZER "" CACHE STRING "Set which Clang Sanitizer to use")
+
+macro(add_sanitizer target)
+  if(NOT "${UTF8_USE_SANITIZER}" STREQUAL "")
+    target_compile_options(${target} PUBLIC -fno-omit-frame-pointer -fsanitize=${UTF8_USE_SANITIZER})
+    target_link_options(${target} PUBLIC -fno-omit-frame-pointer -fsanitize=${UTF8_USE_SANITIZER})
+  endif()
+endmacro()
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
 
-add_executable(utf8_test
-  main.c
-)
+add_executable(utf8_test main.c)
+add_sanitizer(utf8_test)
 
-add_executable(utf8_no_malloc_test
-  no_malloc.c
-)
+add_executable(utf8_no_malloc_test no_malloc.c)
+add_sanitizer(utf8_no_malloc_test)
 
 add_executable(utf8_test_c90 test.c)
+add_sanitizer(utf8_test_c90)
+
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
   target_compile_options(utf8_test_c90 PUBLIC "-std=c90")
 elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
@@ -47,6 +56,8 @@
 endif()
 
 add_executable(utf8_test_c99 test.c)
+add_sanitizer(utf8_test_c99)
+
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
   target_compile_options(utf8_test_c99 PUBLIC "-std=c99")
 elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
@@ -57,6 +68,8 @@
 endif()
 
 add_executable(utf8_test_c11 test.c)
+add_sanitizer(utf8_test_c11)
+
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
   target_compile_options(utf8_test_c11 PUBLIC "-std=c11")
 elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
@@ -67,15 +80,19 @@
 endif()
 
 add_executable(utf8_test_cpp11 test.cpp)
+add_sanitizer(utf8_test_cpp11)
 set_target_properties(utf8_test_cpp11 PROPERTIES CXX_STANDARD 11)
 
 add_executable(utf8_test_cpp14 test.cpp)
+add_sanitizer(utf8_test_cpp14)
 set_target_properties(utf8_test_cpp14 PROPERTIES CXX_STANDARD 14)
 
 add_executable(utf8_test_cpp17 test.cpp)
+add_sanitizer(utf8_test_cpp17)
 set_target_properties(utf8_test_cpp17 PROPERTIES CXX_STANDARD 17)
 
 add_executable(utf8_test_cpp20 test.cpp)
+add_sanitizer(utf8_test_cpp20)
 set_target_properties(utf8_test_cpp20 PROPERTIES CXX_STANDARD 20)
 
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")

=== debian/changelog ===
utf8.h (0.0~git20231220.535001e-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove myself from the maintainer list.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Mar 2024 20:08:35 -0400

utf8.h (0.0~git20231220.535001e-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Dec 2023 14:58:22 -0500

utf8.h (0.0~git20231125.e69ff90-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Nov 2023 19:12:21 -0500

utf8.h (0.0~git20230809.b174838-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Aug 2023 17:37:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: utf8.h
 Section: libs
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Uploaders:
- Steffen Moeller <moeller@debian.org>,
+Maintainer: Steffen Moeller <moeller@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/sheredom/utf8.h
 Vcs-Git: https://salsa.debian.org/debian/utf8.h.git

=== debian/watch ===
version=4
 opts="mode=git, pgpmode=none" \
 https://github.com/sheredom/utf8.h \
 HEAD debian uupdate
